org.eclipse.viatra.query.runtime.api.impl

## Class BaseGeneratedEMFPQuery

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.queries.BasePQuery
  - - org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedEMFPQuery

- All Implemented Interfaces:
    PTraceable, PQuery, PQueryHeader

      public abstract class BaseGeneratedEMFPQuery
      extends BasePQuery

  Common superclass for EMF-based generated PQueries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.runtime.matchers.psystem.queries.PQuery

      `PQuery.PQueryStatus`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.queries.BasePQuery

      `pProblems, status, visibility`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseGeneratedEMFPQuery()`
    `BaseGeneratedEMFPQuery(PVisibility visibility)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.emf.ecore.EClassifier` | `getClassifierLiteral(java.lang.String packageUri, java.lang.String classifierName)`
    `protected org.eclipse.emf.ecore.EClassifier` | `getClassifierLiteralSafe(java.lang.String packageURI, java.lang.String classifierName)` For parameter type retrieval only.
    `protected org.eclipse.emf.ecore.EEnumLiteral` | `getEnumLiteral(java.lang.String packageUri, java.lang.String enumName, java.lang.String literalName)`
    `protected org.eclipse.emf.ecore.EStructuralFeature` | `getFeatureLiteral(java.lang.String packageUri, java.lang.String className, java.lang.String featureName)`
    `protected QueryInitializationException` | `processDependencyException(ViatraQueryException ex)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.queries.BasePQuery

      `addAnnotation, addError, checkMutability, doGetContainedBodies, ensureInitialized, getAllAnnotations, getAllReferredQueries, getAnnotationsByName, getDirectReferredQueries, getDisjunctBodies, getEvaluationHints, getFirstAnnotationByName, getParameterNames, getPositionOfParameter, getPProblems, getStatus, getTypeGuarantees, getVisibility, isMutable, publishedAs, setBodies, setEvaluationHints, setStatus, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.matchers.psystem.queries.PQueryHeader

      `getFullyQualifiedName, getParameter, getParameters, getSimpleName`

- - ### Constructor Detail

    - #### BaseGeneratedEMFPQuery

          public BaseGeneratedEMFPQuery()

    - #### BaseGeneratedEMFPQuery

          public BaseGeneratedEMFPQuery(PVisibility visibility)

      Since:
        2.0

  - ### Method Detail

    - #### processDependencyException

          protected QueryInitializationException processDependencyException(ViatraQueryException ex)

    - #### getClassifierLiteral

          protected org.eclipse.emf.ecore.EClassifier getClassifierLiteral(java.lang.String packageUri,
                                                                           java.lang.String classifierName)

    - #### getClassifierLiteralSafe

          protected org.eclipse.emf.ecore.EClassifier getClassifierLiteralSafe(java.lang.String packageURI,
                                                                               java.lang.String classifierName)

      For parameter type retrieval only.

      If parameter type declaration is erroneous, we still get a working parameter list (without the type declaration); the exception will be thrown again later when the body is processed.

    - #### getFeatureLiteral

          protected org.eclipse.emf.ecore.EStructuralFeature getFeatureLiteral(java.lang.String packageUri,
                                                                               java.lang.String className,
                                                                               java.lang.String featureName)

    - #### getEnumLiteral

          protected org.eclipse.emf.ecore.EEnumLiteral getEnumLiteral(java.lang.String packageUri,
                                                                      java.lang.String enumName,
                                                                      java.lang.String literalName)